Getting a list of trusted addresses
Getting a list of trusted user addresses to which payments can be made using the payment widget
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
clientIdstringOptionalExample:
User ID in the merchant system
user12345currencystring[]OptionalExample:
An array of coins to search for
USDTnetworkstring[]OptionalExample:
Array of networks to search for
ethereumResponses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/personal-addresses/get-trusted-addresses
POST /api-gateway/personal-addresses/get-trusted-addresses HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 67
{
"clientId": "user12345",
"currency": [
"USDT"
],
"network": [
"ethereum"
]
}200Success
{
"success": true,
"response": [
{
"id": "85f7f30d-22db-4124-b3d5-c8616c12c596",
"clientId": "user12345",
"currency": "USDT",
"network": "ethereum",
"address": "0xe68C1e0C4BA59e17fAF970cB7EC69c3dABf25f02",
"tag": null,
"alias": "My main address",
"createdAt": "2026-01-29T11:14:13.715Z"
}
]
}Last updated